AnsweredAssumed Answered

Solutions: Alfresco 3.2r - PostgreSQL and Ibatis errors

Question asked by trialot on Nov 2, 2009
Latest reply on Feb 10, 2010 by jturmelle
Alfresco owners who use PostgreSQL must be aware that some errors can occur due to maldefined SqlMaps.

NOTE: In most cases, a previous version of PostgreSQL will exhibit strange behavior in the sense that it is accepting the maldefined SqlMaps. That does not mean the problem is not there.
ADVISE: do use a PostgreSQL version higher than 8.3 and use patches for the maldefined SqlMaps. That also prevents future surprises.

A patch in the postgresql-3.2r.amp is not yet present, to my best knowledge.

In this thread, I am just giving some problems I encountered and their solutions.

Outcomes